## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiDocumentNode

### Document::ezcDocumentWikiDocumentNode

### Class ezcDocumentWikiDocumentNode

Struct for Wiki document abstract syntax tree root nodes

Source for this file: /Document/src/document/wiki/nodes/document.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiBlockLevelNode
             |
             --ezcDocumentWikiSectionNode
                |
                --ezcDocumentWikiDocumentNode

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentWikiSectionNode
public | `ezcDocumentWikiSectionNode::$level`
From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Inherited Methods

From ezcDocumentWikiSectionNode
public void | `ezcDocumentWikiSectionNode::__construct()` Construct Wiki node
From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

Documentation generated by phpDocumentor 1.4.3